> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Chats (/api-reference/chats/list-chats)

Get the list of chats for an Account.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/chats
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/chats:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Chats
      operationId: listChats
      description: Get the list of chats for an Account.
      parameters:
        - in: query
          name: limit
          description: Number of chats to return (1 - 100). Default = 10
          example: 10
          required: false
          schema:
            type: string
            description: Number of chats to return (1 - 100). Default = 10
            example: 10
        - in: query
          name: offset
          description: Number of chats to skip for pagination
          example: 0
          required: false
          schema:
            type: string
            description: Number of chats to skip for pagination
            example: 0
        - in: query
          name: skip_users
          description: Whether to skip user details in response (all or none). Default = all
          example: all
          required: false
          schema:
            type: string
            description: Whether to skip user details in response (all or none). Default =
              all
            example: all
            enum:
              - all
              - none
        - in: query
          name: order
          description: Sort order for chats (recent or old). Default = recent
          example: recent
          required: false
          schema:
            type: string
            description: Sort order for chats (recent or old). Default = recent
            example: recent
            enum:
              - recent
              - old
        - in: query
          name: filter
          description: Optionally, filter the chats by type.
          example: with_tips
          required: false
          schema:
            type: string
            description: Optionally, filter the chats by type.
            example: with_tips
            enum:
              - pinned
              - priority
              - unread
              - with_tips
              - unread_with_tips
        - in: query
          name: query
          description: Search query to filter chats
          example: John
          required: false
          schema:
            type: string
            description: Search query to filter chats
            example: John
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - canNotSendReason: false
                      canSendMessage: true
                      canGoToProfile: true
                      unreadMessagesCount: 1
                      hasUnreadTips: false
                      isMutedNotifications: false
                      lastMessage:
                        responseType: message
                        text: <p>Message text</p>
                        giphyId: null
                        lockedText: false
                        isFree: true
                        price: 0
                        isMediaReady: true
                        mediaCount: 0
                        media: []
                        previews: []
                        isTip: false
                        isReportedByMe: false
                        isCouplePeopleMedia: false
                        queueId: 123
                        isMarkdownDisabled: true
                        fromUser:
                          id: 123
                          _view: i
                        isFromQueue: true
                        canUnsendQueue: true
                        unsendSecondsQueue: 1000000
                        id: 123
                        isOpened: false
                        isNew: true
                        createdAt: 2025-01-01T01:01:01+00:00
                        changedAt: 2025-01-01T01:01:01+00:00
                        cancelSeconds: 86268
                        isLiked: false
                        canPurchase: false
                        canPurchaseReason: free
                        canReport: true
                        canBePinned: true
                        isPinned: false
                      lastReadMessageId: 0
                      hasPurchasedFeed: false
                      countPinnedMessages: 0
                      fan:
                        id: 123
                        name: Name
                        view: f
                        about: <p>About</p>
                        avatar: https://public.onlyfans.com/files/.../avatar.jpg
                        header: https://public.onlyfans.com/files/.../header.jpg
                        notice: ""
                        canChat: true
                        canEarn: true
                        tipsMax: 200
                        tipsMin: 5
                        website: null
                        hasLinks: false
                        isFriend: false
                        joinDate: 2025-01-01T01:01:01+00:00
                        lastSeen: 2025-01-01T01:01:01+00:00
                        location: Location
                        username: username
                        wishlist: null
                        canReport: true
                        hasLabels: true
                        hasStream: false
                        isBlocked: false
                        hasFriends: false
                        hasStories: false
                        headerSize:
                          width: 767
                          height: 1152
                        isVerified: true
                        postsCount: 123
                        audiosCount: 0
                        canRestrict: true
                        displayName: ""
                        isPerformer: true
                        listsStates:
                          - id: following
                            name: Following
                            type: following
                            hasUser: true
                            canAddUser: false
                            cannotAddUserReason: ALREADY_EXISTS
                          - id: fans
                            name: Fans
                            type: fans
                            hasUser: true
                            canAddUser: false
                            cannotAddUserReason: ALREADY_EXISTS
                          - id: rebill_off
                            name: Renew Off
                            type: rebill_off
                            hasUser: false
                            canAddUser: false
                            cannotAddUserReason: null
                          - id: rebill_on
                            name: Renew On
                            type: rebill_on
                            hasUser: true
                            canAddUser: false
                            cannotAddUserReason: ALREADY_EXISTS
                          - id: recent
                            name: Recent (last 24 hours)
                            type: recent
                            hasUser: false
                            canAddUser: false
                            cannotAddUserReason: SYSTEM_LIST
                          - id: friends
                            name: Friends
                            type: friends
                            hasUser: false
                            canAddUser: true
                            cannotAddUserReason: null
                          - id: muted
                            name: Muted
                            type: muted
                            hasUser: false
                            canAddUser: true
                            cannotAddUserReason: null
                          - id: tagged
                            name: Tagged
                            type: tagged
                            hasUser: false
                            canAddUser: false
                            cannotAddUserReason: SYSTEM_LIST
                        mediasCount: 123
                        photosCount: 123
                        tipsEnabled: true
                        videosCount: 123
                        avatarThumbs:
                          c50: https://thumbs.onlyfans.com/.../avatar.jpg
                          c144: https://thumbs.onlyfans.com/.../avatar.jpg
                        canLookStory: true
                        canTrialSend: false
                        headerThumbs:
                          w480: https://thumbs.onlyfans.com/.../header.jpg
                          w760: https://thumbs.onlyfans.com/.../header.jpg
                        isRestricted: false
                        subscribedBy: true
                        subscribedOn: true
                        canCreateTrial: false
                        canPayInternal: true
                        canUnsubscribe: true
                        favoritedCount: 123
                        favoritesCount: 123
                        hasPinnedPosts: false
                        isAdultContent: false
                        showMediaCount: true
                        subscribePrice: 0
                        canCommentStory: true
                        hasSavedStreams: false
                        isRealPerformer: true
                        showPostsInFeed: true
                        tipsMinInternal: 1
                        tipsTextEnabled: true
                        canAddSubscriber: false
                        subscribedByData:
                          price: 0
                          status: null
                          isMuted: false
                          duration: 22 days
                          newPrice: 0
                          expiredAt: 2025-01-01T01:01:01+00:00
                          renewedAt: 2025-01-01T01:01:01+00:00
                          subscribes:
                            - id: 123
                              date: 2025-01-01T01:01:01+00:00
                              type: regular
                              price: 0
                              action: subscribe
                              userId: 123
                              discount: 0
                              duration: 123
                              offerEnd: null
                              earningId: 0
                              isCurrent: true
                              startDate: 2025-01-01T01:01:01+00:00
                              cancelDate: null
                              expireDate: 2025-01-01T01:01:01+00:00
                              offerStart: null
                              regularPrice: 0
                              subscriberId: 123
                          subscribeAt: 2025-01-01T01:01:01+00:00
                          regularPrice: 0
                          discountPeriod: 1
                          subscribePrice: 0
                          discountPercent: 0
                          showPostsInFeed: true
                          discountStartedAt: null
                          unsubscribeReason: No reason given
                          discountFinishedAt: null
                          hasActivePaidSubscriptions: false
                        subscribedOnData:
                          price: 0
                          status: null
                          isMuted: false
                          duration: 22 days
                          newPrice: 0
                          tipsSumm: 0
                          expiredAt: 2025-01-01T01:01:01+00:00
                          postsSumm: 0
                          renewedAt: 2025-01-01T01:01:01+00:00
                          totalSumm: 0
                          subscribes:
                            - id: 123
                              date: 2025-01-01T01:01:01+00:00
                              type: auto
                              price: 0
                              action: subscribe
                              userId: 123
                              discount: 0
                              duration: 123
                              offerEnd: null
                              earningId: 0
                              isCurrent: true
                              startDate: 2025-01-01T01:01:01+00:00
                              cancelDate: null
                              expireDate: 2025-01-01T01:01:01+00:00
                              offerStart: null
                              regularPrice: 0
                              subscriberId: 123
                          streamsSumm: 0
                          subscribeAt: 2025-01-01T01:01:01+00:00
                          messagesSumm: 0
                          regularPrice: 4.99
                          discountPeriod: 1
                          subscribePrice: 4.99
                          subscribesSumm: 0
                          discountPercent: 0
                          discountStartedAt: null
                          unsubscribeReason: No reason given
                          discountFinishedAt: null
                          hasActivePaidSubscriptions: false
                        subscribersCount: null
                        hasNotViewedStory: false
                        isPaywallRequired: true
                        isReferrerAllowed: true
                        isSpringConnected: false
                        archivedPostsCount: 0
                        canCreatePromotion: false
                        hasScheduledStream: false
                        isSpotifyConnected: false
                        subscribedByExpire: false
                        finishedStreamsCount: 0
                        isPendingAutoprolong: false
                        isPrivateRestriction: false
                        showSubscribersCount: false
                        subscribedOnDuration: 22 days
                        canReceiveChatMessage: true
                        currentSubscribePrice: 0
                        firstPublishedPostDate: 2025-01-01T01:01:01+00:00
                        subscribedByExpireDate: 2025-01-01T01:01:01+00:00
                        subscribedIsExpiredNow: false
                        subscribedOnExpiredNow: false
                        subscribedByAutoprolong: true
                        privateArchivedPostsCount: 0
                        shouldShowFinishedStreams: false
                        isMarkdownDisabledForAbout: true
                        avatarHeaderConverterUpload: true
                  _pagination:
                    next_page: https://app.onlyfansapi.com/api/acct_XXXXXXXXXXX/chats?offset=10&limit=10
                  _meta:
                    _credits:
                      used: 1
                      balance: 1
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 999
                      remaining_day: 49999
                properties:
                  data:
                    type: array
                    example:
                      - canNotSendReason: false
                        canSendMessage: true
                        canGoToProfile: true
                        unreadMessagesCount: 1
                        hasUnreadTips: false
                        isMutedNotifications: false
                        lastMessage:
                          responseType: message
                          text: <p>Message text</p>
                          giphyId: null
                          lockedText: false
                          isFree: true
                          price: 0
                          isMediaReady: true
                          mediaCount: 0
                          media: []
                          previews: []
                          isTip: false
                          isReportedByMe: false
                          isCouplePeopleMedia: false
                          queueId: 123
                          isMarkdownDisabled: true
                          fromUser:
                            id: 123
                            _view: i
                          isFromQueue: true
                          canUnsendQueue: true
                          unsendSecondsQueue: 1000000
                          id: 123
                          isOpened: false
                          isNew: true
                          createdAt: 2025-01-01T01:01:01+00:00
                          changedAt: 2025-01-01T01:01:01+00:00
                          cancelSeconds: 86268
                          isLiked: false
                          canPurchase: false
                          canPurchaseReason: free
                          canReport: true
                          canBePinned: true
                          isPinned: false
                        lastReadMessageId: 0
                        hasPurchasedFeed: false
                        countPinnedMessages: 0
                        fan:
                          id: 123
                          name: Name
                          view: f
                          about: <p>About</p>
                          avatar: https://public.onlyfans.com/files/.../avatar.jpg
                          header: https://public.onlyfans.com/files/.../header.jpg
                          notice: ""
                          canChat: true
                          canEarn: true
                          tipsMax: 200
                          tipsMin: 5
                          website: null
                          hasLinks: false
                          isFriend: false
                          joinDate: 2025-01-01T01:01:01+00:00
                          lastSeen: 2025-01-01T01:01:01+00:00
                          location: Location
                          username: username
                          wishlist: null
                          canReport: true
                          hasLabels: true
                          hasStream: false
                          isBlocked: false
                          hasFriends: false
                          hasStories: false
                          headerSize:
                            width: 767
                            height: 1152
                          isVerified: true
                          postsCount: 123
                          audiosCount: 0
                          canRestrict: true
                          displayName: ""
                          isPerformer: true
                          listsStates:
                            - id: following
                              name: Following
                              type: following
                              hasUser: true
                              canAddUser: false
                              cannotAddUserReason: ALREADY_EXISTS
                            - id: fans
                              name: Fans
                              type: fans
                              hasUser: true
                              canAddUser: false
                              cannotAddUserReason: ALREADY_EXISTS
                            - id: rebill_off
                              name: Renew Off
                              type: rebill_off
                              hasUser: false
                              canAddUser: false
                              cannotAddUserReason: null
                            - id: rebill_on
                              name: Renew On
                              type: rebill_on
                              hasUser: true
                              canAddUser: false
                              cannotAddUserReason: ALREADY_EXISTS
                            - id: recent
                              name: Recent (last 24 hours)
                              type: recent
                              hasUser: false
                              canAddUser: false
                              cannotAddUserReason: SYSTEM_LIST
                            - id: friends
                              name: Friends
                              type: friends
                              hasUser: false
                              canAddUser: true
                              cannotAddUserReason: null
                            - id: muted
                              name: Muted
                              type: muted
                              hasUser: false
                              canAddUser: true
                              cannotAddUserReason: null
                            - id: tagged
                              name: Tagged
                              type: tagged
                              hasUser: false
                              canAddUser: false
                              cannotAddUserReason: SYSTEM_LIST
                          mediasCount: 123
                          photosCount: 123
                          tipsEnabled: true
                          videosCount: 123
                          avatarThumbs:
                            c50: https://thumbs.onlyfans.com/.../avatar.jpg
                            c144: https://thumbs.onlyfans.com/.../avatar.jpg
                          canLookStory: true
                          canTrialSend: false
                          headerThumbs:
                            w480: https://thumbs.onlyfans.com/.../header.jpg
                            w760: https://thumbs.onlyfans.com/.../header.jpg
                          isRestricted: false
                          subscribedBy: true
                          subscribedOn: true
                          canCreateTrial: false
                          canPayInternal: true
                          canUnsubscribe: true
                          favoritedCount: 123
                          favoritesCount: 123
                          hasPinnedPosts: false
                          isAdultContent: false
                          showMediaCount: true
                          subscribePrice: 0
                          canCommentStory: true
                          hasSavedStreams: false
                          isRealPerformer: true
                          showPostsInFeed: true
                          tipsMinInternal: 1
                          tipsTextEnabled: true
                          canAddSubscriber: false
                          subscribedByData:
                            price: 0
                            status: null
                            isMuted: false
                            duration: 22 days
                            newPrice: 0
                            expiredAt: 2025-01-01T01:01:01+00:00
                            renewedAt: 2025-01-01T01:01:01+00:00
                            subscribes:
                              - id: 123
                                date: 2025-01-01T01:01:01+00:00
                                type: regular
                                price: 0
                                action: subscribe
                                userId: 123
                                discount: 0
                                duration: 123
                                offerEnd: null
                                earningId: 0
                                isCurrent: true
                                startDate: 2025-01-01T01:01:01+00:00
                                cancelDate: null
                                expireDate: 2025-01-01T01:01:01+00:00
                                offerStart: null
                                regularPrice: 0
                                subscriberId: 123
                            subscribeAt: 2025-01-01T01:01:01+00:00
                            regularPrice: 0
                            discountPeriod: 1
                            subscribePrice: 0
                            discountPercent: 0
                            showPostsInFeed: true
                            discountStartedAt: null
                            unsubscribeReason: No reason given
                            discountFinishedAt: null
                            hasActivePaidSubscriptions: false
                          subscribedOnData:
                            price: 0
                            status: null
                            isMuted: false
                            duration: 22 days
                            newPrice: 0
                            tipsSumm: 0
                            expiredAt: 2025-01-01T01:01:01+00:00
                            postsSumm: 0
                            renewedAt: 2025-01-01T01:01:01+00:00
                            totalSumm: 0
                            subscribes:
                              - id: 123
                                date: 2025-01-01T01:01:01+00:00
                                type: auto
                                price: 0
                                action: subscribe
                                userId: 123
                                discount: 0
                                duration: 123
                                offerEnd: null
                                earningId: 0
                                isCurrent: true
                                startDate: 2025-01-01T01:01:01+00:00
                                cancelDate: null
                                expireDate: 2025-01-01T01:01:01+00:00
                                offerStart: null
                                regularPrice: 0
                                subscriberId: 123
                            streamsSumm: 0
                            subscribeAt: 2025-01-01T01:01:01+00:00
                            messagesSumm: 0
                            regularPrice: 4.99
                            discountPeriod: 1
                            subscribePrice: 4.99
                            subscribesSumm: 0
                            discountPercent: 0
                            discountStartedAt: null
                            unsubscribeReason: No reason given
                            discountFinishedAt: null
                            hasActivePaidSubscriptions: false
                          subscribersCount: null
                          hasNotViewedStory: false
                          isPaywallRequired: true
                          isReferrerAllowed: true
                          isSpringConnected: false
                          archivedPostsCount: 0
                          canCreatePromotion: false
                          hasScheduledStream: false
                          isSpotifyConnected: false
                          subscribedByExpire: false
                          finishedStreamsCount: 0
                          isPendingAutoprolong: false
                          isPrivateRestriction: false
                          showSubscribersCount: false
                          subscribedOnDuration: 22 days
                          canReceiveChatMessage: true
                          currentSubscribePrice: 0
                          firstPublishedPostDate: 2025-01-01T01:01:01+00:00
                          subscribedByExpireDate: 2025-01-01T01:01:01+00:00
                          subscribedIsExpiredNow: false
                          subscribedOnExpiredNow: false
                          subscribedByAutoprolong: true
                          privateArchivedPostsCount: 0
                          shouldShowFinishedStreams: false
                          isMarkdownDisabledForAbout: true
                          avatarHeaderConverterUpload: true
                    items:
                      type: object
                      properties:
                        canNotSendReason:
                          type: boolean
                          example: false
                        canSendMessage:
                          type: boolean
                          example: true
                        canGoToProfile:
                          type: boolean
                          example: true
                        unreadMessagesCount:
                          type: integer
                          example: 1
                        hasUnreadTips:
                          type: boolean
                          example: false
                        isMutedNotifications:
                          type: boolean
                          example: false
                        lastMessage:
                          type: object
                          properties:
                            responseType:
                              type: string
                              example: message
                            text:
                              type: string
                              example: <p>Message text</p>
                            giphyId:
                              type: string
                              example: null
                              nullable: true
                            lockedText:
                              type: boolean
                              example: false
                            isFree:
                              type: boolean
                              example: true
                            price:
                              type: integer
                              example: 0
                            isMediaReady:
                              type: boolean
                              example: true
                            mediaCount:
                              type: integer
                              example: 0
                            media:
                              type: array
                              example: []
                            previews:
                              type: array
                              example: []
                            isTip:
                              type: boolean
                              example: false
                            isReportedByMe:
                              type: boolean
                              example: false
                            isCouplePeopleMedia:
                              type: boolean
                              example: false
                            queueId:
                              type: integer
                              example: 123
                            isMarkdownDisabled:
                              type: boolean
                              example: true
                            fromUser:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  example: 123
                                _view:
                                  type: string
                                  example: i
                            isFromQueue:
                              type: boolean
                              example: true
                            canUnsendQueue:
                              type: boolean
                              example: true
                            unsendSecondsQueue:
                              type: integer
                              example: 1000000
                            id:
                              type: integer
                              example: 123
                            isOpened:
                              type: boolean
                              example: false
                            isNew:
                              type: boolean
                              example: true
                            createdAt:
                              type: string
                              example: 2025-01-01T01:01:01+00:00
                            changedAt:
                              type: string
                              example: 2025-01-01T01:01:01+00:00
                            cancelSeconds:
                              type: integer
                              example: 86268
                            isLiked:
                              type: boolean
                              example: false
                            canPurchase:
                              type: boolean
                              example: false
                            canPurchaseReason:
                              type: string
                              example: free
                            canReport:
                              type: boolean
                              example: true
                            canBePinned:
                              type: boolean
                              example: true
                            isPinned:
                              type: boolean
                              example: false
                        lastReadMessageId:
                          type: integer
                          example: 0
                        hasPurchasedFeed:
                          type: boolean
                          example: false
                        countPinnedMessages:
                          type: integer
                          example: 0
                        fan:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 123
                            name:
                              type: string
                              example: Name
                            view:
                              type: string
                              example: f
                            about:
                              type: string
                              example: <p>About</p>
                            avatar:
                              type: string
                              example: https://public.onlyfans.com/files/.../avatar.jpg
                            header:
                              type: string
                              example: https://public.onlyfans.com/files/.../header.jpg
                            notice:
                              type: string
                              example: ""
                            canChat:
                              type: boolean
                              example: true
                            canEarn:
                              type: boolean
                              example: true
                            tipsMax:
                              type: integer
                              example: 200
                            tipsMin:
                              type: integer
                              example: 5
                            website:
                              type: string
                              example: null
                              nullable: true
                            hasLinks:
                              type: boolean
                              example: false
                            isFriend:
                              type: boolean
                              example: false
                            joinDate:
                              type: string
                              example: 2025-01-01T01:01:01+00:00
                            lastSeen:
                              type: string
                              example: 2025-01-01T01:01:01+00:00
                            location:
                              type: string
                              example: Location
                            username:
                              type: string
                              example: username
                            wishlist:
                              type: string
                              example: null
                              nullable: true
                            canReport:
                              type: boolean
                              example: true
                            hasLabels:
                              type: boolean
                              example: true
                            hasStream:
                              type: boolean
                              example: false
                            isBlocked:
                              type: boolean
                              example: false
                            hasFriends:
                              type: boolean
                              example: false
                            hasStories:
                              type: boolean
                              example: false
                            headerSize:
                              type: object
                              properties:
                                width:
                                  type: integer
                                  example: 767
                                height:
                                  type: integer
                                  example: 1152
                            isVerified:
                              type: boolean
                              example: true
                            postsCount:
                              type: integer
                              example: 123
                            audiosCount:
                              type: integer
                              example: 0
                            canRestrict:
                              type: boolean
                              example: true
                            displayName:
                              type: string
                              example: ""
                            isPerformer:
                              type: boolean
                              example: true
                            listsStates:
                              type: array
                              example:
                                - id: following
                                  name: Following
                                  type: following
                                  hasUser: true
                                  canAddUser: false
                                  cannotAddUserReason: ALREADY_EXISTS
                                - id: fans
                                  name: Fans
                                  type: fans
                                  hasUser: true
                                  canAddUser: false
                                  cannotAddUserReason: ALREADY_EXISTS
                                - id: rebill_off
                                  name: Renew Off
                                  type: rebill_off
                                  hasUser: false
                                  canAddUser: false
                                  cannotAddUserReason: null
                                - id: rebill_on
                                  name: Renew On
                                  type: rebill_on
                                  hasUser: true
                                  canAddUser: false
                                  cannotAddUserReason: ALREADY_EXISTS
                                - id: recent
                                  name: Recent (last 24 hours)
                                  type: recent
                                  hasUser: false
                                  canAddUser: false
                                  cannotAddUserReason: SYSTEM_LIST
                                - id: friends
                                  name: Friends
                                  type: friends
                                  hasUser: false
                                  canAddUser: true
                                  cannotAddUserReason: null
                                - id: muted
                                  name: Muted
                                  type: muted
                                  hasUser: false
                                  canAddUser: true
                                  cannotAddUserReason: null
                                - id: tagged
                                  name: Tagged
                                  type: tagged
                                  hasUser: false
                                  canAddUser: false
                                  cannotAddUserReason: SYSTEM_LIST
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    example: following
                                  name:
                                    type: string
                                    example: Following
                                  type:
                                    type: string
                                    example: following
                                  hasUser:
                                    type: boolean
                                    example: true
                                  canAddUser:
                                    type: boolean
                                    example: false
                                  cannotAddUserReason:
                                    type: string
                                    example: ALREADY_EXISTS
                            mediasCount:
                              type: integer
                              example: 123
                            photosCount:
                              type: integer
                              example: 123
                            tipsEnabled:
                              type: boolean
                              example: true
                            videosCount:
                              type: integer
                              example: 123
                            avatarThumbs:
                              type: object
                              properties:
                                c50:
                                  type: string
                                  example: https://thumbs.onlyfans.com/.../avatar.jpg
                                c144:
                                  type: string
                                  example: https://thumbs.onlyfans.com/.../avatar.jpg
                            canLookStory:
                              type: boolean
                              example: true
                            canTrialSend:
                              type: boolean
                              example: false
                            headerThumbs:
                              type: object
                              properties:
                                w480:
                                  type: string
                                  example: https://thumbs.onlyfans.com/.../header.jpg
                                w760:
                                  type: string
                                  example: https://thumbs.onlyfans.com/.../header.jpg
                            isRestricted:
                              type: boolean
                              example: false
                            subscribedBy:
                              type: boolean
                              example: true
                            subscribedOn:
                              type: boolean
                              example: true
                            canCreateTrial:
                              type: boolean
                              example: false
                            canPayInternal:
                              type: boolean
                              example: true
                            canUnsubscribe:
                              type: boolean
                              example: true
                            favoritedCount:
                              type: integer
                              example: 123
                            favoritesCount:
                              type: integer
                              example: 123
                            hasPinnedPosts:
                              type: boolean
                              example: false
                            isAdultContent:
                              type: boolean
                              example: false
                            showMediaCount:
                              type: boolean
                              example: true
                            subscribePrice:
                              type: integer
                              example: 0
                            canCommentStory:
                              type: boolean
                              example: true
                            hasSavedStreams:
                              type: boolean
                              example: false
                            isRealPerformer:
                              type: boolean
                              example: true
                            showPostsInFeed:
                              type: boolean
                              example: true
                            tipsMinInternal:
                              type: integer
                              example: 1
                            tipsTextEnabled:
                              type: boolean
                              example: true
                            canAddSubscriber:
                              type: boolean
                              example: false
                            subscribedByData:
                              type: object
                              properties:
                                price:
                                  type: integer
                                  example: 0
                                status:
                                  type: string
                                  example: null
                                  nullable: true
                                isMuted:
                                  type: boolean
                                  example: false
                                duration:
                                  type: string
                                  example: 22 days
                                newPrice:
                                  type: integer
                                  example: 0
                                expiredAt:
                                  type: string
                                  example: 2025-01-01T01:01:01+00:00
                                renewedAt:
                                  type: string
                                  example: 2025-01-01T01:01:01+00:00
                                subscribes:
                                  type: array
                                  example:
                                    - id: 123
                                      date: 2025-01-01T01:01:01+00:00
                                      type: regular
                                      price: 0
                                      action: subscribe
                                      userId: 123
                                      discount: 0
                                      duration: 123
                                      offerEnd: null
                                      earningId: 0
                                      isCurrent: true
                                      startDate: 2025-01-01T01:01:01+00:00
                                      cancelDate: null
                                      expireDate: 2025-01-01T01:01:01+00:00
                                      offerStart: null
                                      regularPrice: 0
                                      subscriberId: 123
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: integer
                                        example: 123
                                      date:
                                        type: string
                                        example: 2025-01-01T01:01:01+00:00
                                      type:
                                        type: string
                                        example: regular
                                      price:
                                        type: integer
                                        example: 0
                                      action:
                                        type: string
                                        example: subscribe
                                      userId:
                                        type: integer
                                        example: 123
                                      discount:
                                        type: integer
                                        example: 0
                                      duration:
                                        type: integer
                                        example: 123
                                      offerEnd:
                                        type: string
                                        example: null
                                        nullable: true
                                      earningId:
                                        type: integer
                                        example: 0
                                      isCurrent:
                                        type: boolean
                                        example: true
                                      startDate:
                                        type: string
                                        example: 2025-01-01T01:01:01+00:00
                                      cancelDate:
                                        type: string
                                        example: null
                                        nullable: true
                                      expireDate:
                                        type: string
                                        example: 2025-01-01T01:01:01+00:00
                                      offerStart:
                                        type: string
                                        example: null
                                        nullable: true
                                      regularPrice:
                                        type: integer
                                        example: 0
                                      subscriberId:
                                        type: integer
                                        example: 123
                                subscribeAt:
                                  type: string
                                  example: 2025-01-01T01:01:01+00:00
                                regularPrice:
                                  type: integer
                                  example: 0
                                discountPeriod:
                                  type: integer
                                  example: 1
                                subscribePrice:
                                  type: integer
                                  example: 0
                                discountPercent:
                                  type: integer
                                  example: 0
                                showPostsInFeed:
                                  type: boolean
                                  example: true
                                discountStartedAt:
                                  type: string
                                  example: null
                                  nullable: true
                                unsubscribeReason:
                                  type: string
                                  example: No reason given
                                discountFinishedAt:
                                  type: string
                                  example: null
                                  nullable: true
                                hasActivePaidSubscriptions:
                                  type: boolean
                                  example: false
                            subscribedOnData:
                              type: object
                              properties:
                                price:
                                  type: integer
                                  example: 0
                                status:
                                  type: string
                                  example: null
                                  nullable: true
                                isMuted:
                                  type: boolean
                                  example: false
                                duration:
                                  type: string
                                  example: 22 days
                                newPrice:
                                  type: integer
                                  example: 0
                                tipsSumm:
                                  type: integer
                                  example: 0
                                expiredAt:
                                  type: string
                                  example: 2025-01-01T01:01:01+00:00
                                postsSumm:
                                  type: integer
                                  example: 0
                                renewedAt:
                                  type: string
                                  example: 2025-01-01T01:01:01+00:00
                                totalSumm:
                                  type: integer
                                  example: 0
                                subscribes:
                                  type: array
                                  example:
                                    - id: 123
                                      date: 2025-01-01T01:01:01+00:00
                                      type: auto
                                      price: 0
                                      action: subscribe
                                      userId: 123
                                      discount: 0
                                      duration: 123
                                      offerEnd: null
                                      earningId: 0
                                      isCurrent: true
                                      startDate: 2025-01-01T01:01:01+00:00
                                      cancelDate: null
                                      expireDate: 2025-01-01T01:01:01+00:00
                                      offerStart: null
                                      regularPrice: 0
                                      subscriberId: 123
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: integer
                                        example: 123
                                      date:
                                        type: string
                                        example: 2025-01-01T01:01:01+00:00
                                      type:
                                        type: string
                                        example: auto
                                      price:
                                        type: integer
                                        example: 0
                                      action:
                                        type: string
                                        example: subscribe
                                      userId:
                                        type: integer
                                        example: 123
                                      discount:
                                        type: integer
                                        example: 0
                                      duration:
                                        type: integer
                                        example: 123
                                      offerEnd:
                                        type: string
                                        example: null
                                        nullable: true
                                      earningId:
                                        type: integer
                                        example: 0
                                      isCurrent:
                                        type: boolean
                                        example: true
                                      startDate:
                                        type: string
                                        example: 2025-01-01T01:01:01+00:00
                                      cancelDate:
                                        type: string
                                        example: null
                                        nullable: true
                                      expireDate:
                                        type: string
                                        example: 2025-01-01T01:01:01+00:00
                                      offerStart:
                                        type: string
                                        example: null
                                        nullable: true
                                      regularPrice:
                                        type: integer
                                        example: 0
                                      subscriberId:
                                        type: integer
                                        example: 123
                                streamsSumm:
                                  type: integer
                                  example: 0
                                subscribeAt:
                                  type: string
                                  example: 2025-01-01T01:01:01+00:00
                                messagesSumm:
                                  type: integer
                                  example: 0
                                regularPrice:
                                  type: number
                                  example: 4.99
                                discountPeriod:
                                  type: integer
                                  example: 1
                                subscribePrice:
                                  type: number
                                  example: 4.99
                                subscribesSumm:
                                  type: integer
                                  example: 0
                                discountPercent:
                                  type: integer
                                  example: 0
                                discountStartedAt:
                                  type: string
                                  example: null
                                  nullable: true
                                unsubscribeReason:
                                  type: string
                                  example: No reason given
                                discountFinishedAt:
                                  type: string
                                  example: null
                                  nullable: true
                                hasActivePaidSubscriptions:
                                  type: boolean
                                  example: false
                            subscribersCount:
                              type: string
                              example: null
                              nullable: true
                            hasNotViewedStory:
                              type: boolean
                              example: false
                            isPaywallRequired:
                              type: boolean
                              example: true
                            isReferrerAllowed:
                              type: boolean
                              example: true
                            isSpringConnected:
                              type: boolean
                              example: false
                            archivedPostsCount:
                              type: integer
                              example: 0
                            canCreatePromotion:
                              type: boolean
                              example: false
                            hasScheduledStream:
                              type: boolean
                              example: false
                            isSpotifyConnected:
                              type: boolean
                              example: false
                            subscribedByExpire:
                              type: boolean
                              example: false
                            finishedStreamsCount:
                              type: integer
                              example: 0
                            isPendingAutoprolong:
                              type: boolean
                              example: false
                            isPrivateRestriction:
                              type: boolean
                              example: false
                            showSubscribersCount:
                              type: boolean
                              example: false
                            subscribedOnDuration:
                              type: string
                              example: 22 days
                            canReceiveChatMessage:
                              type: boolean
                              example: true
                            currentSubscribePrice:
                              type: integer
                              example: 0
                            firstPublishedPostDate:
                              type: string
                              example: 2025-01-01T01:01:01+00:00
                            subscribedByExpireDate:
                              type: string
                              example: 2025-01-01T01:01:01+00:00
                            subscribedIsExpiredNow:
                              type: boolean
                              example: false
                            subscribedOnExpiredNow:
                              type: boolean
                              example: false
                            subscribedByAutoprolong:
                              type: boolean
                              example: true
                            privateArchivedPostsCount:
                              type: integer
                              example: 0
                            shouldShowFinishedStreams:
                              type: boolean
                              example: false
                            isMarkdownDisabledForAbout:
                              type: boolean
                              example: true
                            avatarHeaderConverterUpload:
                              type: boolean
                              example: true
                  _pagination:
                    type: object
                    properties:
                      next_page:
                        type: string
                        example: https://app.onlyfansapi.com/api/acct_XXXXXXXXXXX/chats?offset=10&limit=10
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 1
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 999
                          remaining_day:
                            type: integer
                            example: 49999
      tags:
        - Chats
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````